Part (Axis API)
Keywords: org.apache.axis.Part,Part interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Interface Part

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  AttachmentPart, SOAPPart

public interface Part
extends java.io.Serializable

Method Summary
`void` | `addMimeHeader(java.lang.String header, java.lang.String value)` Add the specified MIME header, as per JAXM.
`java.lang.String` | `getContentId()` Content ID.
`java.lang.String` | `getContentIdRef()` Content ID.
`java.lang.String` | `getContentLocation()` Content location.
`java.lang.String` | `getContentType()` Content type.
`java.util.Iterator` | `getMatchingMimeHeaders(java.lang.String[] match)` Get all headers that match
`java.lang.String[]` | `getMimeHeader(java.lang.String name)` Gets all the values of the `MimeHeader` object in this `SOAPPart` object that is identified by the given `String`.
`java.util.Iterator` | `getNonMatchingMimeHeaders(java.lang.String[] match)` Get all headers that do not match
`void` | `setContentId(java.lang.String newCid)` Sets Content-Id of this part.
`void` | `setContentLocation(java.lang.String loc)` Set content location.

Method Detail

### getMimeHeader

    public java.lang.String[] getMimeHeader(java.lang.String name)

  Gets all the values of the `MimeHeader` object in this `SOAPPart` object that is identified by the given `String`.

  Parameters:
    `name` - the name of the header; example: "Content-Type"
  Returns:
    a `String` array giving all the values for the specified header
  See Also:
    `setMimeHeader(java.lang.String, java.lang.String)`

### addMimeHeader

    public void addMimeHeader(java.lang.String header,
                              java.lang.String value)

  Add the specified MIME header, as per JAXM.

### getContentLocation

    public java.lang.String getContentLocation()

  Content location.

### setContentLocation

    public void setContentLocation(java.lang.String loc)

  Set content location.

### setContentId

    public void setContentId(java.lang.String newCid)

  Sets Content-Id of this part. already defined.

  Parameters:
    `newCid` - new Content-Id

### getContentId

    public java.lang.String getContentId()

  Content ID.

### getMatchingMimeHeaders

    public java.util.Iterator getMatchingMimeHeaders(java.lang.String[] match)

  Get all headers that match

### getNonMatchingMimeHeaders

    public java.util.Iterator getNonMatchingMimeHeaders(java.lang.String[] match)

  Get all headers that do not match

### getContentType

    public java.lang.String getContentType()

  Content type.

### getContentIdRef

    public java.lang.String getContentIdRef()

  Content ID.

  Returns:
    the contentId reference value that should be used directly as an href in a SOAP element to reference this attachment. Not part of JAX-RPC, JAX-M, SAAJ, etc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.